MagickCore: cache-view.c File Reference

# cache-view.c File Reference

`#include "magick/studio.h"`
`#include "magick/cache.h"`
`#include "magick/cache-private.h"`
`#include "magick/cache-view.h"`
`#include "magick/memory_.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/string_.h"`

## Data Structures
struct | _ViewInfo
## Functions
MagickExport const IndexPacket * | AcquireCacheViewIndexes (const ViewInfo *view_info)
MagickExport const PixelPacket * | AcquireCacheViewPixels (const ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows, ExceptionInfo *exception)
MagickExport PixelPacket | AcquireOneCacheViewPixel (const ViewInfo *view_info, const long x, const long y, ExceptionInfo *exception)
MagickExport ViewInfo * | CloneCacheView (const ViewInfo *view_info)
MagickExport ViewInfo * | CloseCacheView (ViewInfo *view_info)
MagickExport ColorspaceType | GetCacheViewColorspace (const ViewInfo *view_info)
MagickExport ExceptionInfo * | GetCacheViewException (const ViewInfo *view_info)
MagickExport IndexPacket * | GetCacheViewIndexes (const ViewInfo *view_info)
MagickExport PixelPacket * | GetCacheViewPixels (ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows)
MagickExport ClassType | GetCacheViewStorageClass (const ViewInfo *view_info)
MagickExport PixelPacket | GetOneCacheViewPixel (const ViewInfo *view_info, const long x, const long y)
MagickExport ViewInfo * | OpenCacheView (const Image *image)
MagickExport PixelPacket * | SetCacheView (ViewInfo *view_info, const long x, const long y, const unsigned long columns, const unsigned long rows)
MagickExport MagickBooleanType | SetCacheViewStorageClass (ViewInfo *view_info, const ClassType storage_class)
MagickExport MagickBooleanType | SetCacheViewVirtualPixelMethod (ViewInfo *view_info, const VirtualPixelMethod virtual_pixel_method)
MagickExport MagickBooleanType | SyncCacheView (ViewInfo *view_info)

## Function Documentation

MagickExport const IndexPacket* AcquireCacheViewIndexes | ( | const ViewInfo * | view_info | ) |

MagickExport const PixelPacket* AcquireCacheViewPixels | ( | const ViewInfo * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport PixelPacket AcquireOneCacheViewPixel | ( | const ViewInfo * | view_info,
|  | const long | x,
|  | const long | y,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ViewInfo* CloneCacheView | ( | const ViewInfo * | view_info | ) |

MagickExport ViewInfo* CloseCacheView | ( | ViewInfo * | view_info | ) |

MagickExport ColorspaceType GetCacheViewColorspace | ( | const ViewInfo * | view_info | ) |

MagickExport ExceptionInfo* GetCacheViewException | ( | const ViewInfo * | view_info | ) |

MagickExport IndexPacket* GetCacheViewIndexes | ( | const ViewInfo * | view_info | ) |

MagickExport PixelPacket* GetCacheViewPixels | ( | ViewInfo * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport ClassType GetCacheViewStorageClass | ( | const ViewInfo * | view_info | ) |

MagickExport PixelPacket GetOneCacheViewPixel | ( | const ViewInfo * | view_info,
|  | const long | x,
|  | const long | y |
| ) |  |  |

MagickExport ViewInfo* OpenCacheView | ( | const Image * | image | ) |

MagickExport PixelPacket* SetCacheView | ( | ViewInfo * | view_info,
|  | const long | x,
|  | const long | y,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewStorageClass | ( | ViewInfo * | view_info,
|  | const ClassType | storage_class |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewVirtualPixelMethod | ( | ViewInfo * | view_info,
|  | const VirtualPixelMethod | virtual_pixel_method |
| ) |  |  |

MagickExport MagickBooleanType SyncCacheView | ( | ViewInfo * | view_info | ) |